--- /dev/null
+#!/bin/bash
+set -e
+for file in .libs/cycript .libs/libcycript.so libcycript.jar libcycript.db ../libcycript.cy; do
+ adb push build.and-armeabi/"${file}" /data/local/tmp/
+done
--- /dev/null
+#!/bin/bash
+# XXX: this script is required because, despite claiming clang is so awesome due to having libclang, Google doesn't ship a usable version
+xcs=$(xcode-select --print-path)
+xct="${xcs}/Toolchains/XcodeDefault.xctoolchain/usr/lib"
+./android-configure.sh --with-libclang="-rpath ${xct} ${xct}/libclang.dylib"
cpp=()
cpp+=(-fPIE)
ldf+=(-rdynamic -fPIE -pie)
+ccf=()
+ccf+=(-g0 -O3)
function cfg() {
cfg=$1
shift
- CC="${cc} ${flg[*]}" CXX="${cxx} ${flg[*]}" OBJCXX="${cxx} ${flg[*]}" "${cfg}" --host="${tgt}" CPPFLAGS="${cpp[*]}" LDFLAGS="${ldf[*]}" "$@"
+ "${cfg}" \
+ CC="${cc} ${flg[*]}" CXX="${cxx} ${flg[*]}" OBJCXX="${cxx} ${flg[*]}" \
+ CFLAGS="${ccf[*]}" CXXFLAGS="${ccf[*]}" OBJCXXFLAGS="${ccf[*]}" \
+ --host="${tgt}" CPPFLAGS="${cpp[*]}" LDFLAGS="${ldf[*]}" "$@"
}